> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cubeuaeai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# gemini-3-pro-preview (Stream)

> Generate a model reply in streaming mode and return it in real time via SSE.



## OpenAPI

````yaml en/api-reference/model-api/google/openapi/gemini-3-pro-preview-stream/openapi.yaml POST /v1beta/models/gemini-3-pro-preview:streamGenerateContent
openapi: 3.1.0
info:
  title: Gemini 3 Pro Preview (Stream)
  description: Call Google Gemini 3 Pro Preview (Stream)
  version: 1.0.0
servers:
  - url: https://ai.cubeuaeai.com
security: []
paths:
  /v1beta/models/gemini-3-pro-preview:streamGenerateContent:
    post:
      summary: Text generation (streaming)
      description: >-
        Generate a model reply in streaming mode and return it in real time via
        SSE.
      operationId: Gemini3ProPreviewStreamStreamGenerateContent
      parameters:
        - name: key
          in: query
          description: API key
          required: true
          schema:
            type: string
          example: YOUR_API_KEY
        - name: alt
          in: query
          description: Set to sse to enable SSE streaming
          required: false
          schema:
            type: string
          example: sse
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - contents
              properties:
                contents:
                  type: array
                  description: >-
                    Array of conversation contents, including user and model
                    messages.
                  items:
                    type: object
                    properties:
                      role:
                        type: string
                        enum:
                          - user
                          - model
                        example: user
                      parts:
                        type: array
                        items:
                          type: object
                          properties:
                            text:
                              type: string
                              description: Text content
                  example:
                    - role: user
                      parts:
                        - text: Hello, please introduce yourself.
                systemInstruction:
                  type: object
                  description: System instruction
                  properties:
                    parts:
                      type: array
                      items:
                        type: object
                        properties:
                          text:
                            type: string
                  example:
                    parts:
                      - text: You are a helpful assistant.
                safetySettings:
                  type: array
                  description: Safety filter settings
                  items:
                    type: object
                    properties:
                      category:
                        type: string
                      threshold:
                        type: string
                generationConfig:
                  type: object
                  properties:
                    temperature:
                      type: number
                      minimum: 0
                      maximum: 2
                      default: 1
                      description: >-
                        Sampling temperature. Higher values make the output more
                        random.
                      example: 1
                    topP:
                      type: number
                      minimum: 0
                      maximum: 1
                      default: 1
                      description: Nucleus sampling threshold.
                    thinkingConfig:
                      type: object
                      description: Thinking configuration
                      properties:
                        includeThoughts:
                          type: boolean
                          default: true
                          description: Whether to include the thinking process
                        thinkingBudget:
                          type: integer
                          default: 26240
                          description: Thinking token budget
      responses:
        '200':
          description: Streaming reply generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateContentResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GenerateContentResponse:
      type: object
      properties:
        candidates:
          type: array
          items:
            type: object
            properties:
              content:
                type: object
                properties:
                  parts:
                    type: array
                    items:
                      type: object
                      properties:
                        text:
                          type: string
                          example: Hello!
                  role:
                    type: string
                    example: model
              finishReason:
                type: string
                example: STOP
        usageMetadata:
          type: object
          properties:
            promptTokenCount:
              type: integer
            candidatesTokenCount:
              type: integer
            totalTokenCount:
              type: integer
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string
            status:
              type: string

````